Subject: Re: bug#2914: a signal to just slap emacs' face, not kill it

From: Stefan Monnier <[email-masked]>
Date: Tue, 07 Apr 2009 10:06:39 -0400

> Recently I made emacs so busy that I could get a C-g in edgewise, and I
> had to wait a few minutes for it to finish what it was doing.

That's clearly undesirable, tho I do know that it happens in
various cases.  In many cases it can be fixed pretty easily, tho.

> (It's besides the point, but I was using
> http://test.wikipedia.org/wiki/Special:Allmessages?uselang=zh-tw and
> C-g nor C-c C-k could break thru.)

So if you provide a testcase, or at least explain what it is you were
doing with that URL, maybe we can actually fix the problem.

        Stefan

PS: One common situation where C-g is unresponsive is when the redisplay
is too slow (e.g. navigating in a vvveeerrrryyy long line).  In such
a case, iconifying the frame displaying the "offending" buffer may get
you back in business (provided you have another frame or the
emacs-server open).